<?php
if($this->session->userdata('is_logged_in')===FALSE){
            redirect('login');
}
?>
<div class="templatepopcentering" style="width:500px;margin-top: 1%;">
        <div id='pop' style="border: 1px solid #ffffff;">
            <div class="detil" style="padding: 2px;background-color: white;">         
			<form id="frm_relaas_akta" class="templatepopform" method="post" action="<?php echo base_url().'c_template_agama_kasasi/cetak_akta_kasasi';?>">
			<table id="" >				
				<tr><td colspan="2" class="templatepoptitle">
            <?php 
                if($idakta==1){
                    $i=0;
                    foreach ($template->result() as $template){
                        if ($i=='0'){
                            $judul=$template->namatemplate;
                            $judul=explode("Oleh",$judul);
                            $jnsperkara=$template->jnsperkara;
                        }
                    }
                    echo strtoupper($judul[0]."<br/>Perkara ".$jnsperkara);
                }elseif($idakta==2){
                    echo strtoupper("Akta Pencabutan <br/>Perkara Gugatan");
                }elseif($idakta==4){
                    echo strtoupper("Tanda Terima Memori Kasasi <br/> Perkara Gugatan");
                }elseif($idakta==5){
                    echo strtoupper("Tanda Terima Kontra Memori Kasasi <br/> Perkara Gugatan");
                }elseif($idakta==3){
                    echo strtoupper("Tidak Memenuhi Syarat Formil <br/>Perkara Gugatan");
                }
                
            ?>
                </td></tr>
                <tr>
                    <td class="templatepopleftcol">Pihak Pemohon Kasasi</td>
                        <td style="font-size:13px; padding-left:10px"><?php echo $namapihak;?>
                    </td>
                </tr>
                <tr>
                    <td class="templatepopleftcol">Akta Kasasi<font color=red>*</font></td>
                    <td>
                        <input type="hidden" id="pihakasal" name = 'pihakasal' value="<?php echo $pihakasal; ?>">
                        <span class="custom-dropdown custom-dropdown--emerald">
                            <select style='width:275px;'  name="jenisAkta" id="jenisAkta" class="custom-dropdown__select custom-dropdown__select--white">
                                <?php
                                    if($idakta==1 AND $pihakasal==1){
                                        echo '<option value="-1">Pilih Jenis Akta</option>';
                                        echo '<option value="1">Akta Permohonan Kasasi Penggugat</option>';
                                        echo '<option value="2">Akta Permohonan Kasasi Kuasa Penggugat</option>';
                                        echo '<option value="7">Akta Permohonan Kasasi (Melalui Kuasa Insidentil)</option>';
                                        echo '<option value="10">Akta Permohonan Kasasi Secara Prodeo</option>';
                                    }elseif($idakta==1 AND $pihakasal==2){
                                        echo '<option value="-1">Pilih Jenis Akta</option>';
                                        echo '<option value="3">Akta Permohonan Kasasi Tergugat</option>';
                                        echo '<option value="4">Akta Permohonan Kasasi Kuasa Tergugat</option>';
                                        echo '<option value="8">Akta Permohonan Kasasi (Melalui Kuasa Insidentil)</option>';
                                        echo '<option value="11">Akta Permohonan Kasasi Secara Prodeo</option>';
                                    }elseif($idakta==1 AND $pihakasal==3){
                                        echo '<option value="-1">Pilih Jenis Akta</option>';
                                        echo '<option value="5">Akta Permohonan Kasasi Intervensi</option>';
                                        echo '<option value="6">Akta Permohonan Kasasi Kuasa Intervensi</option>';
                                        echo '<option value="9">Akta Permohonan Kasasi (Melalui Kuasa Insidentil)</option>';
                                        echo '<option value="12">Akta Permohonan Kasasi Secara Prodeo</option>';                                        
                                    }elseif($idakta==2 AND $pihakasal==1){
                                        echo '<option value="-1">Pilih Jenis Akta</option>';
                                        echo '<option value="13">Akta Pencabutan Permohonan Kasasi, sebelum berkas perkara dikirim ke Mahkamah Agung RI</option>';
                                        echo '<option value="14">Akta Pencabutan Permohonan Kasasi, setelah berkas perkara dikirim ke Mahkamah Agung RI</option>';                                                                            
                                    }elseif($idakta==2 AND $pihakasal==2){
                                        echo '<option value="-1">Pilih Jenis Akta</option>';
                                        echo '<option value="15">Akta Pencabutan Permohonan Kasasi, sebelum berkas perkara dikirim ke Mahkamah Agung RI</option>';
                                        echo '<option value="16">Akta Pencabutan Permohonan Kasasi, setelah berkas perkara dikirim ke Mahkamah Agung RI</option>';                                                                            
                                    }elseif($idakta==2 AND $pihakasal==3){
                                        echo '<option value="-1">Pilih Jenis Akta</option>';
                                        echo '<option value="17">Akta Pencabutan Permohonan Kasasi, sebelum berkas perkara dikirim ke Mahkamah Agung RI</option>';
                                        echo '<option value="18">Akta Pencabutan Permohonan Kasasi, setelah berkas perkara dikirim ke Mahkamah Agung RI</option>';                                                                            
                                    }elseif($idakta==3 AND $pihakasal==1){
                                        echo '<option value="-1">Pilih Jenis Akta</option>';
                                        echo '<option value="19">Penetapan Permohonan Kasasi Tidak Memenuhi Syarat Formil</option>';
                                        echo '<option value="20">Laporan Permohonan Kasasi Yang Tidak Memenuhi Syarat Formil</option>';
                                        //echo '<option value="31">Relaas Pemberitahuan dan Penyerahan Salinan Penetapan Tentang Kasasi Tidak Memenuhi Syarat Formil</option>';                                                                            
                                    }elseif($idakta==3 AND $pihakasal==2){
                                        echo '<option value="-1">Pilih Jenis Akta</option>';
                                        echo '<option value="21">Penetapan Permohonan Kasasi Tidak Memenuhi Syarat Formil</option>';
                                        echo '<option value="22">Laporan Permohonan Kasasi Yang Tidak Memenuhi Syarat Formil</option>';                                                                            
                                        //echo '<option value="32">Relaas Pemberitahuan dan Penyerahan Salinan Penetapan Tentang Kasasi Tidak Memenuhi Syarat Formil</option>';
                                    }elseif($idakta==3 AND $pihakasal==3){
                                        echo '<option value="-1">Pilih Jenis Akta</option>';
                                        echo '<option value="23">Penetapan Permohonan Kasasi Tidak Memenuhi Syarat Formil</option>';
                                        echo '<option value="24">Laporan Permohonan Kasasi Yang Tidak Memenuhi Syarat Formil</option>';                                                                            
                                        //echo '<option value="33">Relaas Pemberitahuan dan Penyerahan Salinan Penetapan Tentang Kasasi Tidak Memenuhi Syarat Formil</option>';
                                    }elseif($idakta==4 AND $pihakasal==1){
                                        echo '<option value="-1">Pilih Jenis Akta</option>';
                                        echo '<option value="25">Tanda Terima Memori Kasasi</option>';                                        
                                    }elseif($idakta==4 AND $pihakasal==2){ 
                                        echo '<option value="-1">Pilih Jenis Akta</option>';                                      
                                        echo '<option value="26">Tanda Terima Memori Kasasi</option>';
                                    }elseif($idakta==4 AND $pihakasal==3){ 
                                        echo '<option value="-1">Pilih Jenis Akta</option>';                                      
                                        echo '<option value="27">Tanda Terima Memori Kasasi</option>';                                        
                                    }elseif($idakta==5 AND $pihakasal==1){
                                        echo '<option value="-1">Pilih Jenis Akta</option>';
                                        echo '<option value="28">Tanda Terima Kontra Memori Kasasi</option>';                                        
                                    }elseif($idakta==5 AND $pihakasal==2){ 
                                        echo '<option value="-1">Pilih Jenis Akta</option>';                                      
                                        echo '<option value="29">Tanda Terima Kontra Memori Kasasi</option>';
                                    }elseif($idakta==5 AND $pihakasal==3){ 
                                        echo '<option value="-1">Pilih Jenis Akta</option>';                                      
                                        echo '<option value="30">Tanda Terima Kontra Memori Kasasi</option>';                                        
                                    }
                                ?>                                
                            </select>
                        </span>
                    </td>
                </tr>                                
                <tr>
                    <td class="templatepopleftcol">Terhadap Putusan<font color=red>*</font></td>
                        <td style="">
                            <span class="custom-dropdown custom-dropdown--emerald">
                                <select style='width:275px;'  name="putusan" id="putusan" class="custom-dropdown__select custom-dropdown__select--white">                                
                                    <?php 
                                        if($dataPutusan != ''){
                                            if($dataPutusan->num_rows>0){
                                                if($dataPutusan->num_rows>1){
                                                    echo '<option value="-1">Silakan Pilih Terhadap Putusan</option>';
                                                }foreach ($dataPutusan->result() as $row) {
                                                    $idPut = base64_encode($this->encrypt->encode($row->idPut));
                                                    echo "<option value='".$idPut."'>".$this->templatehelper->standradnaming($row->tahapan)."&nbsp;Nomor: ". $row->nomorPerkara .".&nbsp  Tgl Putus : ".$this->templatehelper->convertKeTglIndo($row->tglPutus) ." </option>";
                                                }
                                            }else{
                                                echo '<option value="-1">Data Putusan Tidak Ada</option>';
                                            }
                                        }else{
                                            echo '<option value="-1">Data Putusan Tidak Ada</option>';
                                        }
                                    ?>
                                </select>
                            </span>
                    </td> 
                </tr>                                                                                              
                <tr>
                    <td class="templatepopleftcol">Penanda Tangan Akta<font color=red>*</font></td>
                    <td>
                        <span class="custom-dropdown custom-dropdown--emerald">
                            <select style='width:275px;'  name="penandaT" id="penandaT"  class="custom-dropdown__select custom-dropdown__select--white">                                
                                <?php  
                                    if($idakta==1 OR $idakta==2 OR $idakta==4 OR $idakta==5){
                                        if($listPembuatAkta != ''){
                                            if($listPembuatAkta->num_rows>0){
                                                foreach ($listPembuatAkta->result() as $row) {
                                                    $id = base64_encode($this->encrypt->encode($row->id));
                                                    echo "<option value='".$id."'>".$this->templatehelper->standradnaming($row->namaPanitera)."</option>";
                                                }
                                            }
                                        }
                                    }elseif($idakta==3){
                                        if($ttdKetua != ''){
                                            if($ttdKetua->num_rows>0){
                                                foreach ($ttdKetua->result() as $row) {
                                                    $id = base64_encode($this->encrypt->encode($row->id));
                                                    echo "<option value='".$id."'>".$this->templatehelper->standradnaming($row->namaKetua)."</option>";
                                                }
                                            }
                                        }
                                    }                              
                                    
                                ?>                                                                                                
                            </select>
                        </span>
                    </td> 
                </tr>                					
                <tr>
					<td colspan="2" style="background:white;" align="center">
                        <input type="hidden" id="enc" name = 'enc' value="<?php echo $enc; ?>">                        
						<input type="hidden" id="encpemohon" name = 'encpemohon' value="<?php echo $encpemohon; ?>">
                        <input type="button" id="kembali" value="Kembali" class="btn">
						<input type="submit" id="print_btn" value="Cetak" class="btn">
					</td>
				</tr>
            </table>
		</div>
	</div>
</div>

<script type="text/javascript">
$('#kembali').closingFormWin();

$('#frm_relaas_akta').submit(function(e) {
    var jenisAkta = $('#jenisAkta').val();
    
    var putusan = $('#putusan').val();
    if(putusan==-1){
        message_error_show('Silahkan Pilih Terhadap Putusan');
        e.preventDefault();
    }    
    
    var jenisAkta=$('#jenisAkta').val();
    if(jenisAkta==-1){
        message_error_show('Silahkan Pilih Jenis Akta Kasasi');
        e.preventDefault();
    }
    
});
</script>